Package org.eclipse.emf.cdo.server

# Class IRepositoryProtector.RevisionAuthorizer

java.lang.Object
org.eclipse.net4j.util.event.Notifier
org.eclipse.net4j.util.lifecycle.Lifecycle
org.eclipse.emf.cdo.server.IRepositoryProtector.Element
org.eclipse.emf.cdo.server.IRepositoryProtector.RevisionAuthorizer

All Implemented Interfaces:
  `org.eclipse.net4j.util.container.IManagedContainerProvider`, `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.event.INotifier.INotifier2`, `org.eclipse.net4j.util.lifecycle.IDeactivateable`, `org.eclipse.net4j.util.lifecycle.ILifecycle`, `org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

Enclosing interface:
  IRepositoryProtector

public abstract static class IRepositoryProtector.RevisionAuthorizer extends IRepositoryProtector.Element

Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`IRepositoryProtector.RevisionAuthorizer.Operation`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

`org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PRODUCT_GROUP`

### Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

`USE_LABEL`

## Constructor Summary

Constructors
Constructor
Description
`RevisionAuthorizer()`

## Method Summary

Modifier and Type
Method
Description
`abstract CDOPermission`
`authorizeRevision(ISession session, IRepositoryProtector.UserInfo userInfo, CDOBranchPoint securityContext, CDORevisionProvider revisionProvider, CDORevision revision)`
`protected void`
`doBeforeActivate()`
`final IRepositoryProtector.RevisionAuthorizer.Operation`
`getOperation()`
`final boolean`
`isDisabled()`
`final void`
`setDisabled(boolean disabled)`
`final void`
`setOperation(IRepositoryProtector.RevisionAuthorizer.Operation operation)`

### Methods inherited from class org.eclipse.emf.cdo.server.IRepositoryProtector.Element

`checkRepositoryProtector, getContainer, getRepositoryProtector, setRepositoryProtector`

### Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

`activate, checkActive, checkArg, checkArg, checkInactive, checkNull, checkState, checkState, deactivate, deferredActivate, doActivate, doAfterActivate, doBeforeDeactivate, doDeactivate, dump, getLifecycleState, isActive, isDeferredActivation, toString`

### Methods inherited from class org.eclipse.net4j.util.event.Notifier

`addListener, addUniqueListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListener, hasListeners, lastListenerRemoved, listenerAdded, listenerRemoved, removeListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

## Field Details

### PRODUCT_GROUP

public static final String PRODUCT_GROUP

See Also:
  - Constant Field Values

## Constructor Details

### RevisionAuthorizer

public RevisionAuthorizer()

## Method Details

### getOperation

public final IRepositoryProtector.RevisionAuthorizer.Operation getOperation()

### setOperation

public final void setOperation(IRepositoryProtector.RevisionAuthorizer.Operation operation)

### isDisabled

public final boolean isDisabled()

### setDisabled

public final void setDisabled(boolean disabled)

### authorizeRevision

public abstract CDOPermission authorizeRevision(ISession session, IRepositoryProtector.UserInfo userInfo, CDOBranchPoint securityContext, CDORevisionProvider revisionProvider, CDORevision revision)

Parameters:
  `securityContext` - Can be `null`, for example if authorization is caused by `getRevisionByVersion()`.
  `revisionProvider` - Can be `null`, for example if authorization is caused by `getRevisionByVersion()`.

### doBeforeActivate

protected void doBeforeActivate() throws Exception

Overrides:
  `doBeforeActivate` in class `IRepositoryProtector.Element`
Throws:
  `Exception`